Subject: bug#58440: 27.2; Exit Code on SIGINT is Zero, But shouldn't Be

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 13 Oct 2022 21:03:19 +0200

Eli Zaretskii <[email-masked]> writes:

>> > I'm proposing that we exit on a non-zero value if and when we decide to
>> > exit after a SIGKILL.
>> 
>> Done!
>
> That was AFAIU a proposal for discussion, not a request to make the
> change right there and then.

I think that was a joke.  😀

Eli Zaretskii <[email-masked]> writes:

> How do you see that we exit with zero status now?  I mean, not by
> looking what the shell says, but by tracing the code which handles
> SIGINT?  I'd like to see what code we are talking about before making
> up my mind about the change you propose.

I haven't been able to follow the interrupt handling logic (after
looking at it for a couple minutes), so I don't know.